Loading...
Searching...
No Matches
BALL::VIEW::Sphere Class Reference
Visualisation » Geometric Objects

`#include <BALL/VIEW/PRIMITIVES/sphere.h>`

Inheritance diagram for BALL::VIEW::Sphere:

## Public Member Functions

Constructors
| Sphere ()
| Sphere (const Sphere &sphere)
Destructors
virtual | ~Sphere ()
virtual void | clear ()
Assignment methods
void | set (const Sphere &sphere)
const Sphere & | operator= (const Sphere &sphere)
void | swap (Sphere &sphere)
void | setRadius (float new_radius)
float | getRadius () const
void | setPosition (const Vector3 &v3)
const Vector3 & | getPosition () const
void | setPositionAddress (const Vector3 &v3)
Vector3 * | getPositionAddress ()
bool | isDefaultPositionAddress ()
void | setDefaultPositionAddress ()
Public Member Functions inherited from BALL::VIEW::GeometricObject
| GeometricObject ()
| GeometricObject (const GeometricObject &object)
virtual | ~GeometricObject ()
void | set (const GeometricObject &object)
GeometricObject & | operator= (const GeometricObject &object)
void | swap (GeometricObject &object)
void | setComposite (const Composite *composite)
const Composite * | getComposite () const
void | setColor (const ColorRGBA &color)
void | setColor (const ColorUnit &red, const ColorUnit &green, const ColorUnit &blue, const ColorUnit &alpha=(float) 1)
const ColorRGBA & | getColor () const
ColorRGBA & | getColor ()
void | getColor (ColorUnit &red, ColorUnit &green, ColorUnit &blue, ColorUnit &alpha) const
void | getColors (HashSet< String > &colors)
| Insert the colors of this object into the hashset.
bool | operator== (const GeometricObject &object) const
| Needed for MSVC.
bool | operator< (const GeometricObject &object) const
| Needed for MSVC.
virtual void | getVertices (std::vector< Vector3 > &) const

## debuggers and diagnostics

Vector3 * | point_ptr_
virtual bool | isValid () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual void | getVertices (vector< Vector3 > &vertices) const

## Additional Inherited Members

Protected Member Functions inherited from BALL::TSphere3< float >
| TSphere3 ()
| TSphere3 (const TSphere3 &sphere)
| TSphere3 (const TVector3< float > &point, const float &radius)
virtual | ~TSphere3 ()
void | swap (TSphere3 &sphere)
void | set (const TSphere3 &sphere)
void | set (const TVector3< float > &point, const float &r)
TSphere3 & | operator= (const TSphere3 &sphere)
void | get (TSphere3 &sphere) const
void | get (TVector3< float > &point, float &r) const
bool | operator== (const TSphere3 &sphere) const
bool | operator!= (const TSphere3 &sphere) const
bool | has (const TVector3< float > &point, bool on_surface=false) const
bool | isEmpty () const
bool | isValid () const
void | dump (std::ostream &s=std::cout, Size depth=0) const
Protected Attributes inherited from BALL::TSphere3< float >
TVector3< float > | p
float | radius

## Detailed Description

Sphere class.
An instance of Sphere represents an instance of the geometric representation "sphere". The class Sphere is derived from the classes GeometricObject and Sphere3. See these classes for further information concerning interface and additional methods.

Definition at line 30 of file sphere.h.

## Constructor & Destructor Documentation

## Sphere() [1/2]

BALL::VIEW::Sphere::Sphere | ( |  | ) |

Default Constructor.

## Sphere() [2/2]

BALL::VIEW::Sphere::Sphere | ( | const Sphere & | sphere | ) |

Copy constructor with cloning facility.

## ~Sphere()

virtual BALL::VIEW::Sphere::~Sphere | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::VIEW::Sphere::clear | ( |  | ) |

virtual

Explicit default initialization.

See also
  GeometricObject::clear
  Sphere3::clear

Reimplemented from BALL::VIEW::GeometricObject.

## dump()

virtual void BALL::VIEW::Sphere::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Internal value dump. Dump the current value of this sphere to the output ostream s with dumping depth depth. Calls GeometricObject::dump. Calls Sphere3::dump.

Parameters

  s | output stream where to output the value of this sphere
  depth | the dumping depth

See also
  GeometricObject::dump
  Sphere3::dump

Reimplemented from BALL::VIEW::GeometricObject.

## getPosition()

const Vector3 & BALL::VIEW::Sphere::getPosition | ( |  | ) | const

inline

Definition at line 95 of file sphere.h.

## getPositionAddress()

Vector3 * BALL::VIEW::Sphere::getPositionAddress | ( |  | ) |

inline

Definition at line 103 of file sphere.h.

## getRadius()

float BALL::VIEW::Sphere::getRadius | ( |  | ) | const

inline

Definition at line 87 of file sphere.h.

## getVertices()

virtual void BALL::VIEW::Sphere::getVertices | ( | vector< Vector3 > & | vertices | ) | const

virtual

## isDefaultPositionAddress()

bool BALL::VIEW::Sphere::isDefaultPositionAddress | ( |  | ) |

inline

Definition at line 107 of file sphere.h.

## isValid()

virtual bool BALL::VIEW::Sphere::isValid | ( |  | ) | const

virtual

Internal state and consistency self-validation. Initiate self-validation of the internal state and data structure consistencies of this sphere. If the internal state of this sphere is correct (self-validated) and consistent true is returned, false otherwise. Calls GeometricObject::isValid.

Returns
  bool true if the internal state of this sphere is correct (self-validated) and consistent, false otherwise

See also
  GeometricObject::isValid

Reimplemented from BALL::VIEW::GeometricObject.

## operator=()

const Sphere & BALL::VIEW::Sphere::operator= | ( | const Sphere & | sphere | ) |

Assignment operator.

## set()

void BALL::VIEW::Sphere::set | ( | const Sphere & | sphere | ) |

Assignment.

## setDefaultPositionAddress()

void BALL::VIEW::Sphere::setDefaultPositionAddress | ( |  | ) |

inline

Definition at line 111 of file sphere.h.

## setPosition()

void BALL::VIEW::Sphere::setPosition | ( | const Vector3 & | v3 | ) |

inline

Definition at line 91 of file sphere.h.

## setPositionAddress()

void BALL::VIEW::Sphere::setPositionAddress | ( | const Vector3 & | v3 | ) |

inline

Definition at line 99 of file sphere.h.

## setRadius()

void BALL::VIEW::Sphere::setRadius | ( | float | new_radius | ) |

inline

Definition at line 83 of file sphere.h.

## swap()

void BALL::VIEW::Sphere::swap | ( | Sphere & | sphere | ) |

Swapping of sphere's.

## Member Data Documentation

## point_ptr_

Vector3* BALL::VIEW::Sphere::point_ptr_

protected

Definition at line 149 of file sphere.h.